"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const ui_external_link_1 = require("@teambit/ui.external-link");
const empty_component_gallery_module_scss_1 = __importDefault(require("./empty-component-gallery.module.scss"));
/**
 * page to be shown when workspace/scope has no components
 */
function EmptyComponentGallery({ name, children }) {
    return (react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.emptyComponentGallery },
        react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.title },
            react_1.default.createElement("span", null, "No components in"),
            "\u00A0",
            react_1.default.createElement("span", null, name)),
        react_1.default.createElement("img", { src: "https://static.bit.dev/harmony/no-components.svg" }),
        children,
        react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.bottomText },
            "Find more info in the\u00A0",
            react_1.default.createElement(ui_external_link_1.ExternalLink, { href: "https://bit-harmony-stg.netlify.app/docs/bit-basics/what-is-bit", className: empty_component_gallery_module_scss_1.default.purpleLink }, "docs"),
            ", or reach out for additional support"),
        react_1.default.createElement(IconLine, null)));
}
exports.EmptyComponentGallery = EmptyComponentGallery;
function IconLine() {
    return (react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.iconLine },
        react_1.default.createElement(ui_external_link_1.ExternalLink, { href: "https://join.slack.com/t/bit-dev-community/shared_invite/enQtNzM2NzQ3MTQzMTg3LWI2YmFmZjQwMTkxNmFmNTVkYzU2MGI2YjgwMmJlZDdkNWVhOGIzZDFlYjg4MGRmOTM4ODAxNTIxMTMwNWVhMzg" },
            react_1.default.createElement("img", { alt: "slack-logo", className: empty_component_gallery_module_scss_1.default.logo, src: "https://static.bit.dev/harmony/slack-round-icon.svg" })),
        react_1.default.createElement(ui_external_link_1.ExternalLink, { href: "https://github.com/teambit/bit" },
            react_1.default.createElement("img", { alt: "github-logo", className: empty_component_gallery_module_scss_1.default.logo, src: "https://static.bit.dev/harmony/github.svg" })),
        react_1.default.createElement(ui_external_link_1.ExternalLink, { href: "https://bit.dev/support" },
            react_1.default.createElement("img", { alt: "support", className: empty_component_gallery_module_scss_1.default.logo, src: "https://static.bit.dev/harmony/support.svg" }))));
}
//# sourceMappingURL=empty-component-gallery.js.map